# ApiClusterTemplateHostInfo Data Model

This contains information about the host or host range on which provided host template will be applied.

Properties
name | data type | description
--- | --- | ---
hostName | string | Host name
hostNameRange | string | Host range. Either this this or host name must be provided.
rackId | string | Rack Id
hostTemplateRefName | string | Pointing to the host template reference in the cluster template.
roleRefNames | array of string | This will used to resolve the roles defined in the cluster template. This roleRefName will be used to connect this host with that a role reference defined in cluster template.

Example

    {
      "hostName" : "...",
      "hostNameRange" : "...",
      "rackId" : "...",
      "hostTemplateRefName" : "...",
      "roleRefNames" : [ "...", "..." ]
    }